Bug 856516 - Review Request: perl-podlators - Format POD source into various output formats
Review Request: perl-podlators - Format POD source into various output formats
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 04:14 EDT by Petr Pisar
Modified: 2013-05-07 15:45 EDT (History)
5 users (show)

See Also:
Fixed In Version: perl-podlators-2.4.2-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-31 04:17:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2012-09-12 04:14:03 EDT
Spec URL: http://ppisar.fedorapeople.org/perl-podlators/perl-podlators.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-podlators/perl-podlators-2.4.2-1.fc19.src.rpm
Description:
This package contains Pod::Man and Pod::Text modules which convert POD input
to *roff source output, suitable for man pages, or plain text.  It also
includes several sub-classes of Pod::Text for formatted output to terminals
with various capabilities.

Fedora Account System Username: ppisar


This package will dual-live after sub-packing it from main perl in F19.
Comment 1 Petr Pisar 2012-09-14 05:09:45 EDT
perl-podlators files have been sub-packaged in perl-5.16.1-234.fc19.
Comment 2 Petr Šabata 2012-10-30 07:47:58 EDT
No issues, approving.
Comment 3 Petr Pisar 2012-10-30 08:15:25 EDT
New Package SCM Request
=======================
Package Name: perl-podlators
Short Description: Format POD source into various output formats
Owners: ppisar, jplesnik, psabata
Branches: 
InitialCC: perl-sig
Comment 4 Gwyn Ciesla 2012-10-30 08:51:47 EDT
Git done (by process-git-requests).
Comment 5 Petr Pisar 2012-10-31 03:28:46 EDT
Thank you for the review and the repository.
Comment 6 Petr Pisar 2012-10-31 04:17:59 EDT
perl-podlators removed from perl-5.16.1-241.fc19.
Comment 7 Paul Howarth 2013-02-07 07:14:00 EST
Why does perl-podlators have explicit requires for:

perl(Pod::Text::Color)
perl(Pod::Text::Overstrike)
perl(Pod::Text::Termcap)

when it provides these itself?

What is the point of that?
Comment 8 Petr Pisar 2013-02-07 08:54:57 EST
Overwork. I swapped test-time set with run-time set probably.

I will fix it. Thanks for spotting it.
Comment 9 Orion Poplawski 2013-05-01 10:44:31 EDT
Petr -  I'd like to see this in EPEL6.  Would you care to maintain it there, or shall I?
Comment 10 Petr Pisar 2013-05-02 04:43:12 EDT
I have no objection to you maintaining EPEL6 branch however there is a problem with dual-living the modules: podlators modules are part of RHEL-6 binary perl package, there is no perl-podlators sub-package. You cannot simply package newer versions of the modules because you would get unpredictable yum resolutions. So I think your request is not doable unless Red Hat sub-packages podlators in RHEL-6.
Comment 11 Paul Howarth 2013-05-02 05:49:37 EDT
Even if podlators was subpackaged in RHEL, an EPEL package would be replacing it, which is against EPEL rules. So I don't think there's any way this can happen.
Comment 12 Orion Poplawski 2013-05-07 15:45:23 EDT
Ah, my mistake then.  perl-podlators is just not needed for me.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.